System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.Serialization.ISerializable

is a base class for toolbox items that can be displayed in the toolbox of a design-time environment. A toolbox item typically represents a component to create when invoked on a design mode document. The class provides the methods and properties needed to provide the toolbox with the display properties for the toolbox item, to create a component or components when used, and to serialize and deserialize itself for persistence within the toolbox database.

An instance of the class can be configured with a name, bitmap, and type to create, without creating a class that derives from . The class also provides a base class for custom toolbox item implementations. A custom can create multiple components. To implement a custom toolbox item, you must derive from and override the , , and methods.

The following properties and methods must be configured for a to function correctly:

The property specifies the label for the toolbox item when displayed in a toolbox.

The property specifies the fully qualified name of the type of the component that the item creates. If a derived class creates multiple components, the property may or may not be used, contingent on whether a method override depends on the value of this property.

The property specifies the assembly that contains the type of a component that the item creates.

The property optionally specifies a bitmap image to display next to the display name for the toolbox item in the toolbox.

The property optionally contains any objects that determine whether the toolbox item can be used on a particular component.

The method returns the component instance or instances to insert where this tool is used.

The method saves the toolbox item to a specified .

The method configures the toolbox item from the state information contained in the specified .

The method configures the toolbox item to create the specified type of component, if the method has not been overridden to behave differently.

The property indicates whether the properties of the toolbox item can be changed. A toolbox item is typically locked after it is added to a toolbox.

The method locks a toolbox item.

The method throws an exception if the property is true.

Provides a base implementation of a toolbox item.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class that creates the specified type of component.

  The type of that the toolbox item creates.
  1.0.5000.0
  2.0.0.0
- Property
  System.Reflection.AssemblyName To be added: an object of type 'Reflection.AssemblyName'

  The property specifies the assembly that contains the types of the components to create.

  Gets or sets the name of the assembly that contains the type or types that the toolbox item creates.

  1.0.5000.0
  2.0.0.0
- Property
  System.Drawing.Bitmap To be added: an object of type 'Drawing.Bitmap' To be added

  Gets or sets a bitmap to represent the toolbox item in the toolbox.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  The method throws an if the property of the is set to true.

  Throws an exception if the toolbox item is currently locked.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.String To be added. To be added.

  Gets or sets the company name for this .

- Event
  System.Drawing.Design.ToolboxComponentsCreatedEventHandler

  The event is raised each time components of this toolbox item are created.

  For more information about handling events, see Consuming Events.

  Occurs immediately after components are created.

  1.0.5000.0
  2.0.0.0
- Event
  System.Drawing.Design.ToolboxComponentsCreatingEventHandler

  The event is raised each time components of the toolbox item are about to be created.

  For more information about handling events, see Consuming Events.

  Occurs when components are about to be created.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.String To be added. To be added.

  Gets the component type for this .

- Method
  System.ComponentModel.IComponent[]

  The method calls the method to retrieve an array of type containing the components to create.

  Creates the components that the toolbox item is configured to create.

  An array of created objects.

  1.0.5000.0
  2.0.0.0
- Method
  System.ComponentModel.IComponent[] ``

  The method calls the method to retrieve an array of type containing the components to create.

  Creates the components that the toolbox item is configured to create, using the specified designer host.

  An array of created objects.

  The to use when creating the components. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.ComponentModel.IComponent[] `` ``

  The method calls the method to retrieve an array of type containing the components to create.

  Creates the components that the toolbox item is configured to create, using the specified designer host and default values.

  An array of created objects.

  The to use when creating the components. A dictionary of property name/value pairs of default values with which to initialize the component.
- Method
  System.ComponentModel.IComponent[] ``

  If is not null, the method adds the new components to the designer.

  Creates a component or an array of components when the toolbox item is invoked.

  An array of created objects.

  The to host the toolbox item. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.ComponentModel.IComponent[] `` ``

  If is not null, the method adds the new components to the designer.

  Creates an array of components when the toolbox item is invoked.

  An array of created objects.

  The designer host to use when creating components. A dictionary of property name/value pairs of default values with which to initialize the component.
- Property
  2.0.0.0
  System.Reflection.AssemblyName[] To be added.

  The assembly name describes the assembly information needed to load the toolbox item's type.

  Gets or sets the for the toolbox item.

- Property
  2.0.0.0
  System.String To be added. To be added.

  Gets or sets the description for this .

- Method
  System.Void `` `` To be added

  Loads the state of the toolbox item from the specified serialization information object.

  The to load from. A that indicates the stream characteristics. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  This property indicates the string that is displayed for the toolbox item in the toolbox.

  By default, the base class sets its property to a short form of the fully qualified type name specified by the property.

  Gets or sets the display name for the toolbox item.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added

  Determines whether two instances are equal.

  true if the specified is equal to the current ; otherwise, false.

  The to compare with the current . 1.0.5000.0 2.0.0.0
- Property
  System.Collections.ICollection To be added: an object of type 'Collections.ICollection'

  The property collection contains objects that specify the policy that the design-time environment uses to determine whether a toolbox item can be used on the destination component.

  For more information on restricting the scope in which a can be used, see the documentation for the class.

  Gets or sets the filter that determines whether the toolbox item can be used on a destination component.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Object `` ``

  The method enables a property to always clone values, or to provide a default value when none exists.

  Filters a property value before returning it.

  A filtered property value.

  The name of the property to filter. The value against which to filter the property.
- Method
  System.Int32 To be added

  Returns the hash code for this instance.

  A hash code for the current .

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Type ``

  The designer host is used to access an implementation of the interface. However, the loaded type is not added to the list of references in the designer host.

  Enables access to the type associated with the toolbox item.

  The type associated with the toolbox item.

  The designer host to query for .
- Method
  System.Type `` `` `` `` To be added

  Creates an instance of the specified type, optionally using a specified designer host and assembly name.

  An instance of the specified type, if it can be located.

  The for the current document. This can be null. An that indicates the assembly that contains the type to load. This can be null. The name of the type to create an instance of. A value indicating whether or not to add a reference to the assembly that contains the specified type to the designer host's set of references. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method configures the toolbox item to create the specified type, if the method has not been overridden to behave differently.

  This method performs the following operations:

  Sets the property to an indicating the assembly of the specified type.

  Sets the property to a short type name based on the name of the specified type.

  Adds any attributes found on the specified type to the property collection.

  Initializes the current toolbox item with the specified type to create.

  The that the toolbox item creates. 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added.

  The property defaults to false.

  Gets a value indicating whether the toolbox item is transient.

- Method
  System.Void

  The properties of a toolbox item cannot be changed when it is locked.

  Locks the toolbox item and prevents changes to its properties.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  When a is locked, you cannot adjust its properties.

  Gets a value indicating whether the is currently locked.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  The method raises the event. This method is called after a toolbox item is invoked to create components and the method has returned.

  Raising an event invokes the event handler through a delegate. For more information, see Raising an Event.

  The method also allows derived classes to handle the event without attaching a delegate. This is the preferred technique for handling the event in a derived class.

  Raises the event.

  A that provides data for the event. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method raises the event. This method is called after a toolbox item is invoked to create components, just before the method is called.

  Raising an event invokes the event handler through a delegate. For more information, see Raising an Event.

  The method also allows derived classes to handle the event without attaching a delegate. This is the preferred technique for handling the event in a derived class.

  Raises the event.

  A that provides data for the event. 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Collections.IDictionary To be added.

  The property dictionary becomes read-only after the toolbox item has been locked.

  Values in the properties dictionary are validated through the method, and default values are obtained from the method.

  Gets a dictionary of properties.

- Method
  System.Void `` `` To be added

  Saves the state of the toolbox item to the specified serialization information object.

  The to save to. A that indicates the stream characteristics. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see the method.

  The to populate with data. The destination (see ) for this serialization.
- Method
  System.String To be added

  Returns a that represents the current .

  A that represents the current .

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  The property specifies the fully qualified type name of the type of component to create.

  Gets or sets the fully qualified name of the type of that the toolbox item creates when invoked.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void `` `` `` ``

  The method is called as a helper method to the method.

  Validates that an object is of a given type.

  The name of the property to validate. Optional value against which to validate. The expected type of the property. true to allow null; otherwise, false.
- Method
  2.0.0.0
  System.Object `` ``

  The method is called whenever a value is set in the property dictionary. With this method, you can change the value of an object before committing it, or reject it by throwing an exception.

  Validates a property before it is assigned to the property dictionary.

  The value used to perform validation.

  The name of the property to validate. The value against which to validate.
- Property
  2.0.0.0
  System.String To be added. To be added.

  Gets the version for this .